##### 公共 配置 #######

#内置Tomcat容器配置
server:
  port: 26001
  servlet:
    #应用路径，配置应用路径，可方便进行反向代理
    context-path: /api_dapp
#    context-path: /baseadmin
#基础配置
spring:
  profiles:
    active: local #${BASE_ADMIN:prod} #选择配置分支，先读取系统环境变量，如果没有则默认值为 prod
  application:
    name: base-admin

  #修改thymeleaf访问根路径
  thymeleaf:
    prefix: classpath:/view/
    cache: false

  #mvc接收参数时对日期进行格式化
  mvc:
    date-format: yyyy-MM-dd HH:mm:ss
    servlet:
      load-on-startup: 100

  #jackson对响应回去的日期参数进行格式化
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

  #打印SQL
  jpa:
    show-sql: true


# token 参数
jwt:
  secret: test      # 密钥
  expiration: 7200000   # 过期时间
  token: Authorization  # 请求头

---
##### local 配置 #######
spring:
  config:
    activate:
      on-profile: local

  #数据库配置
  datasource:
    url: jdbc:mysql://123.57.252.53:6688/dragon_town_320?useSSL=false&serverTimezone=GMT%2B8&characterEncoding=utf-8
    username: root #dragon_town #root
    password: 7a829d0ecde828 #FzCebFq6Xy0CDTXJ #zddeiBmp8c5T6TR6
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 120000
      connection-timeout: 30000
      connection-test-query: SELECT 1

  redis:
    host: 123.57.252.53 #123.57.252.53
    port: 6379
    password: heihei
    data: #工程中只是把redis作为缓存,并未使用redis作为数据持久化存储源repository使用.
      redis:
        repositories:
          enabled: false

  # smart redisson
  smart-redisson:
    database: 12
    server-address: 123.57.252.53:6379
    password: heihei



#是否需要输入验证码
captcha:
  enable: false

apply:
  ip:  "" #183.52.205.93

---
##### dev 配置 #######
spring:
  config:
    activate:
      on-profile: dev

  #数据库配置
  datasource:
    url: jdbc:mysql://42.192.165.168:3306/dragon_town?serverTimezone=GMT%2B8&characterEncoding=utf-8
    username: root #dragon_town #root
    password: 9ab8fad748dead93 #zddeiBmp8c5T6TR6 #9ab8fad748dead93
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 120000
      connection-timeout: 30000
      connection-test-query: SELECT 1

  redis:
    host: 42.192.165.168
    port: 6379
    #    lettuce: # 这里标明使用lettuce配置
    #      pool:
    #        max-active: 8   #连接池最大连接数（使用负值表示没有限制）
    #        max-wait: -1ms  #连接池最大阻塞等待时间（使用负值表示没有限制）
    #        max-idle: 8     #连接池中的最大空闲连接
    #        min-idle: 0     #连接池中的最小空闲连接
    #      timeout: 10000ms    #连接超时时间（毫秒）
    password: abc123456abc-test
  data: #工程中只是把redis作为缓存,并未使用redis作为数据持久化存储源repository使用.
    redis:
      repositories:
        enabled: false
#是否需要输入验证码
captcha:
  enable: true

apply:
  ip: 81.69.16.183
---
##### prod 配置 #######
spring:
  config:
    activate:
      on-profile: prod

  #数据库配置
  datasource:
    url: jdbc:mysql://localhost:3306/dragon_town?serverTimezone=GMT%2B8&characterEncoding=utf-8
    username: ""
    password: ""
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 120000
      connection-timeout: 30000
      connection-test-query: SELECT 1

  redis:
    host: 127.0.0.1
    port: 6379
    password: ""
  data: #工程中只是把redis作为缓存,并未使用redis作为数据持久化存储源repository使用.
    redis:
      repositories:
        enabled: false

#是否需要输入验证码
captcha:
  enable: true

apply:
  ip: ""